# $Revision: 1.6 $, $Date: 2010/06/06 08:41:52 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Shout - Perl glue for libshout streaming source library
Summary(pl.UTF-8):	Shout - perlowy interfejs do biblioteki strumieni libshout
Name:		perl-Shout
Version:	2.1
Release:	3
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://downloads.xiph.org/releases/libshout/Shout-%{version}.tar.gz
# Source0-md5:	7171eb8f9e60d6c5cc6c469ba0f32dc9
URL:		http://icecast.org/
BuildRequires:	libshout-devel >= 2.1
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is an object-oriented interface to libshout, an Ogg Vorbis
and MP3 streaming library that allows applications to easily
communicate and broadcast to an Icecast streaming media server. It
handles the socket connections, metadata communication, and data
streaming for the calling application, and lets developers focus on
feature sets instead of implementation details.

%description -l pl.UTF-8
Ten moduł jest zorientowanym obiektowo interfejsem do libshout -
biblioteki strumieni Ogg Vorbis i MP3 umożliwiającej aplikacjom łatwe
komunikowanie się i rozgłaszanie do serwera strumieni multimedialnych
Icecast. Obsługuje połączenia przez gniazda, komunikację z metadanymi,
strumienie danych dla aplikacji wywołującej oraz pozwala programistom
skupić się na możliwościach zamiast szczegółach implementacji.

%prep
%setup -q -n Shout-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install example*.pl $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/Shout.pm
%dir %{perl_vendorarch}/auto/Shout
%{perl_vendorarch}/auto/Shout/autosplit.ix
%{perl_vendorarch}/auto/Shout/Shout.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Shout/Shout.so
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/Shout.3*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Shout.spec,v $
Revision 1.6  2010/06/06 08:41:52  arekm
- release 3

Revision 1.5  2008/02/10 12:19:08  arekm
- rel 2

Revision 1.4  2008-01-10 08:38:41  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.3  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.2  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.1  2005/03/30 16:58:56  qboosh
- new

